# Method: projects.locations.integrations.versions.download

- [HTTP request](https://docs.cloud.google.com/application-integration/docs/reference/rest/v1/projects.locations.integrations.versions/download#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/application-integration/docs/reference/rest/v1/projects.locations.integrations.versions/download#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/application-integration/docs/reference/rest/v1/projects.locations.integrations.versions/download#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/application-integration/docs/reference/rest/v1/projects.locations.integrations.versions/download#body.request_body)
- [Response body](https://docs.cloud.google.com/application-integration/docs/reference/rest/v1/projects.locations.integrations.versions/download#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/application-integration/docs/reference/rest/v1/projects.locations.integrations.versions/download#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/application-integration/docs/reference/rest/v1/projects.locations.integrations.versions/download#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/application-integration/docs/reference/rest/v1/projects.locations.integrations.versions/download#try-it)

Downloads an integration. Retrieves the `IntegrationVersion` for a given `integrationId` and returns the response as a string.

### HTTP request

`GET https://integrations.googleapis.com/v1/{name=projects/*/locations/*/integrations/*/versions/*}:download`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The version to download. Format: projects/{project}/locations/{location}/integrations/{integration}/versions/{version} |

### Query parameters

| Parameters ||
|---|---|
| `fileFormat` | ``enum (`https://docs.cloud.google.com/application-integration/docs/reference/rest/v1/FileFormat`)`` File format for download request. |
| `files[]` | ``enum (`https://docs.cloud.google.com/application-integration/docs/reference/rest/v1/IntegrationFile`)`` Optional. Integration related file to download like Integration Json, Config variable, testcase etc. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/application-integration/docs/reference/rest/v1/DownloadIntegrationVersionResponse`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `integrations.integrationVersions.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).